import React from 'react';
import ReactRenderer from '@alilc/lowcode-react-renderer';
import appHelper from './appHelper';
import { deleteObjectProperty } from './utils';
var IReactRender = function IReactRender(_ref) {
  var schemaData = _ref.schemaData,
    _ref$schemaRenderRef = _ref.schemaRenderRef,
    schemaRenderRef = _ref$schemaRenderRef === void 0 ? {} : _ref$schemaRenderRef;
  return /*#__PURE__*/React.createElement(ReactRenderer, {
    schema: schemaData === null || schemaData === void 0 ? void 0 : schemaData.schema,
    components: schemaData === null || schemaData === void 0 ? void 0 : schemaData.components,
    appHelper: appHelper,
    onCompGetRef: function onCompGetRef(schema, ref) {
      if (schema.componentName === 'FormContainer') {
        deleteObjectProperty(schemaRenderRef);
        Object.assign(schemaRenderRef, {
          schema: schema,
          ref: ref
        });
      }
    }
  });
};
export default IReactRender;