"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _lowcodeReactRenderer = _interopRequireDefault(require("@alilc/lowcode-react-renderer"));
var _appHelper = _interopRequireDefault(require("./appHelper"));
var _utils = require("./utils");
var IReactRender = function IReactRender(_ref) {
  var schemaData = _ref.schemaData,
    _ref$schemaRenderRef = _ref.schemaRenderRef,
    schemaRenderRef = _ref$schemaRenderRef === void 0 ? {} : _ref$schemaRenderRef;
  return /*#__PURE__*/_react["default"].createElement(_lowcodeReactRenderer["default"], {
    schema: schemaData === null || schemaData === void 0 ? void 0 : schemaData.schema,
    components: schemaData === null || schemaData === void 0 ? void 0 : schemaData.components,
    appHelper: _appHelper["default"],
    onCompGetRef: function onCompGetRef(schema, ref) {
      if (schema.componentName === 'FormContainer') {
        (0, _utils.deleteObjectProperty)(schemaRenderRef);
        Object.assign(schemaRenderRef, {
          schema: schema,
          ref: ref
        });
      }
    }
  });
};
var _default = exports["default"] = IReactRender;